Rounds
Create Round
Create round
POST
/
rounds
Create Round
curl --request POST \
--url https://api-dev.monyfix.tech/rounds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question_categories": [
{
"id": 123,
"themes": [
123
]
}
],
"question_type": "<string>",
"max_members_count": 123,
"product_id": "<string>",
"entry_fee": 123,
"is_active": true,
"status": "WAITING_FOR_PLAYERS",
"variant": "<string>",
"participants": [],
"attributes": []
}
'import requests
url = "https://api-dev.monyfix.tech/rounds"
payload = {
"question_categories": [
{
"id": 123,
"themes": [123]
}
],
"question_type": "<string>",
"max_members_count": 123,
"product_id": "<string>",
"entry_fee": 123,
"is_active": True,
"status": "WAITING_FOR_PLAYERS",
"variant": "<string>",
"participants": [],
"attributes": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question_categories: [{id: 123, themes: [123]}],
question_type: '<string>',
max_members_count: 123,
product_id: '<string>',
entry_fee: 123,
is_active: true,
status: 'WAITING_FOR_PLAYERS',
variant: '<string>',
participants: [],
attributes: []
})
};
fetch('https://api-dev.monyfix.tech/rounds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uniq_id": "<string>",
"status": "<string>",
"entry_fee": "<string>",
"is_active": true,
"is_private": true,
"is_ended": true,
"is_event": true,
"owner": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"avatar_url": "<string>"
},
"members_count": 123,
"max_members_count": 123,
"variant": "<string>",
"item": {
"id": "<string>",
"name": "<string>",
"platform_price": 123,
"store": {
"id": 123,
"name": "<string>",
"is_blogger": true,
"seller_type": "<string>",
"logo_url": "<string>"
},
"format_price": "<string>",
"sku": "<string>",
"assets": [],
"duration": 123,
"meeting_link": "<string>",
"meeting_password": "<string>",
"meeting_platform": "<string>",
"event_type": "<string>",
"short_desc": "<string>",
"detail_desc": "<string>",
"participants_limit": 123,
"category": {
"id": 123,
"name": "<string>"
},
"location": {
"address": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"country": "<string>",
"city": "<string>",
"postal_code": "<string>"
},
"attribute_values": []
},
"question": {
"category_theme": {
"name": "<string>",
"category": {
"name": "<string>"
},
"emoji": "<string>"
}
},
"certificate": {
"id": "<string>",
"text": "<string>",
"discount_percent": 123
},
"seconds_to_end": 123,
"format_entry_fee": "<string>",
"format_status": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"participant_statuses": [
{
"status": "<string>",
"user": {
"id": "<string>",
"phone": "<string>",
"username": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"avatar_url": "<string>"
}
}
],
"in_favorites": false,
"locations": [
{
"city": {
"name": "<string>",
"subject": "<string>",
"lat": 123,
"lon": 123,
"country": {
"code": "<string>",
"name": "<string>",
"phone_code": "<string>",
"currency": "<string>"
},
"district": "<string>",
"timezone": "<string>"
},
"address": "<string>",
"lat": 123,
"lon": 123,
"postal_code": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create Round
